Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003270Zandronum[All Projects] Bugpublic2017-09-21 22:362017-10-29 16:48
ReporterIvan 
Assigned ToDusk 
PrioritynormalSeverityminorReproducibilityalways
Statusneeds testingResolutionopen 
PlatformOSOS Version
Product Version3.0 
Target Version3.1Fixed in Version 
Summary0003270: Player name change is applied on pressing enter instead of exiting the menu
DescriptionThis got changed in 3.0, possibly with Zdoom feature merges. This thing basically causes anytime you press enter to be your actual name change, but the game doesn't really tell you this. So what happens is, your name is actually changed, it's not reflected to you and any other attempt to change your name is pointless because of the 30 second rule of name change.

Please make it so that name change is only applied when you quit the menu.
Attached Files

- Relationships

-  Notes
User avatar (0018629)
Dusk (developer)
2017-10-28 07:30

It's not getting applied, but it's hitting the client-side 30-second limit before entering the pending stage.
User avatar (0018637)
Dusk (developer)
2017-10-28 18:27

Fixed
User avatar (0018651)
Leonard (developer)
2017-10-29 16:48

This was merged.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: ZzZombo
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-09-21 22:36 Ivan New Issue
2017-10-28 07:30 Dusk Note Added: 0018629
2017-10-28 07:30 Dusk Assigned To => Dusk
2017-10-28 07:30 Dusk Status new => assigned
2017-10-28 18:27 Dusk Note Added: 0018637
2017-10-28 18:27 Dusk Status assigned => needs review
2017-10-28 18:27 Dusk Target Version => 3.1
2017-10-29 16:48 Leonard Note Added: 0018651
2017-10-29 16:48 Leonard Status needs review => needs testing






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker